[Unit]
Description=MyOffice ASP.NET Core (API + SPA)
After=network.target postgresql.service
Wants=postgresql.service

[Service]
WorkingDirectory=__API_DIR__
ExecStart=/usr/bin/dotnet __API_DIR__/MyOffice.Web.dll
Restart=always
RestartSec=5
KillSignal=SIGINT
SyslogIdentifier=myoffice-api
User=root
Environment=ASPNETCORE_ENVIRONMENT=Production
Environment=DOTNET_PRINT_TELEMETRY_MESSAGE=false
Environment=ASPNETCORE_URLS=http://*:__API_PORT__

[Install]
WantedBy=multi-user.target
